'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _variables = require('../../style/variables');

var _variables2 = _interopRequireDefault(_variables);

var _reactNative = require('react-native');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

exports["default"] = _reactNative.StyleSheet.create({
    card: {
        borderWidth: 1,
        borderColor: _variables2["default"].neutral_5,
        borderRadius: _variables2["default"].radius_1,
        paddingBottom: 2 * _variables2["default"].grid,
        flexDirection: 'column',
        backgroundColor: _variables2["default"].neutral_1
    },
    headerWrap: {
        flexDirection: 'row',
        paddingVertical: 2 * _variables2["default"].grid,
        paddingRight: 4 * _variables2["default"].grid,
        marginLeft: 4 * _variables2["default"].grid,
        borderBottomWidth: 1,
        borderColor: _variables2["default"].neutral_5,
        alignItems: 'center'
    },
    headerTitle: {
        flex: 1,
        flexDirection: 'row',
        alignItems: 'center'
    },
    headerImage: {
        marginRight: 2 * _variables2["default"].grid
    },
    headerContent: {
        color: _variables2["default"].neutral_10,
        fontSize: _variables2["default"].font_size_5,
        flex: 1
    },
    headerExtra: {
        flex: 1
    },
    body: {
        flex: 1,
        paddingVertical: 2 * _variables2["default"].grid,
        minHeight: 12 * _variables2["default"].grid
    },
    footerWrap: {
        flexDirection: 'row',
        paddingHorizontal: 4 * _variables2["default"].grid
    },
    footerContent: {
        flex: 1,
        fontSize: _variables2["default"].font_size_2,
        color: _variables2["default"].neutral_7
    },
    footerExtra: {
        textAlign: 'right',
        fontSize: _variables2["default"].font_size_2,
        color: _variables2["default"].neutral_7
    }
});
module.exports = exports['default'];