import * as React from 'react';
export interface DataItem {
    icon?: any;
    text?: any;
    [key: string]: any;
}
export interface GridProps {
    /** web only */
    prefixCls?: string;
    style?: React.CSSProperties;
    /** web only */
    className?: string;
    data?: Array<DataItem>;
    onClick?: Function;
    hasLine?: boolean;
    needActive?: boolean;
    isCarousel?: boolean;
}
export interface GridState {
    hover: boolean;
    hoverIndex?: number;
}
export default class Grid extends React.Component<GridProps, GridState> {
    static propTypes: {
        prefixCls: React.Requireable<any>;
        data: React.Requireable<any>;
        onClick: React.Requireable<any>;
        hasLine: React.Requireable<any>;
        needActive: React.Requireable<any>;
        isCarousel: React.Requireable<any>;
    };
    static defaultProps: {
        prefixCls: string;
        data: any[];
        onClick: () => void;
        hasLine: boolean;
        needActive: boolean;
        isCarousel: boolean;
    };
    clientWidth: any;
    constructor(props: any);
    componentWillMount(): void;
    onTouchStart: (index: any) => void;
    onTouchEnd: () => void;
    render(): JSX.Element;
}
