'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports["default"] = undefined;

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var React = _interopRequireWildcard(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj["default"] = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function noop() {}

var SearchBar = function (_React$Component) {
    (0, _inherits3["default"])(SearchBar, _React$Component);

    function SearchBar(props) {
        (0, _classCallCheck3["default"])(this, SearchBar);

        var _this = (0, _possibleConstructorReturn3["default"])(this, _React$Component.call(this, props));

        _this.onSubmit = function (e) {
            e.preventDefault();
            _this.props.onSubmit(_this.state.value);
        };
        _this.onChange = function (e) {
            var value = e.target.value;
            _this.setState({ value: value });
            _this.props.onChange(value);
        };
        _this.onFocus = function (e) {
            if (_this.props.disablSearch) {
                e.preventDefault();
                e.stopPropagation();
                return;
            }
            var value = e.target.value;
            _this.setState({
                focus: true
            });
            _this.props.onFocus(value);
        };
        _this.onBlur = function (e) {
            var value = e.target.value;
            _this.setState({
                focus: false
            });
            _this.props.onBlur(value);
        };
        _this.onCancel = function () {
            _this.setState({ value: '' });
            _this.props.onCancel('');
            _this.props.onChange('');
        };
        _this.onClear = function () {
            _this.setState({
                value: ''
            });
            _this.refs.searchInput.focus();
            _this.props.onClear('');
            _this.props.onChange('');
        };
        _this.state = {
            value: _this.props.value,
            focus: false
        };
        return _this;
    }

    SearchBar.prototype.componentWillReceiveProps = function componentWillReceiveProps(nextProps) {
        if ('value' in nextProps && this.props.value !== nextProps.value) {
            this.setState({
                value: nextProps.value
            });
        }
    };

    SearchBar.prototype.render = function render() {
        var _classNames, _classNames2;

        var _props = this.props;
        var prefixCls = _props.prefixCls;
        var showCancelButton = _props.showCancelButton;
        var disablSearch = _props.disablSearch;
        var placeholder = _props.placeholder;
        var cancelTxt = _props.cancelTxt;
        var className = _props.className;
        var _state = this.state;
        var value = _state.value;
        var focus = _state.focus;

        var wrapCls = (0, _classnames2["default"])((_classNames = {}, (0, _defineProperty3["default"])(_classNames, '' + prefixCls, true), (0, _defineProperty3["default"])(_classNames, className, className), _classNames));
        var inputCls = (0, _classnames2["default"])((_classNames2 = {}, (0, _defineProperty3["default"])(_classNames2, prefixCls + '-input', true), (0, _defineProperty3["default"])(_classNames2, prefixCls + '-input-focus', focus), (0, _defineProperty3["default"])(_classNames2, prefixCls + '-start', value.length > 0), _classNames2));
        var cancelStyle = value.length > 0 ? { display: 'block' } : { display: 'none' };
        return React.createElement(
            'form',
            { onSubmit: this.onSubmit },
            React.createElement(
                'div',
                { className: wrapCls },
                React.createElement(
                    'div',
                    { className: inputCls },
                    React.createElement('input', { type: 'search', className: prefixCls + '-value', value: value, disabled: disablSearch, placeholder: placeholder, onChange: this.onChange, onFocus: this.onFocus, onBlur: this.onBlur, ref: 'searchInput' }),
                    React.createElement('a', { onClick: this.onClear, className: prefixCls + '-clear' })
                ),
                React.createElement(
                    'div',
                    { className: prefixCls + '-cancel', style: showCancelButton ? { display: 'block' } : cancelStyle, onClick: this.onCancel },
                    cancelTxt
                )
            )
        );
    };

    return SearchBar;
}(React.Component);

exports["default"] = SearchBar;

SearchBar.propTypes = {
    prefixCls: _react.PropTypes.string,
    style: _react.PropTypes.object,
    value: _react.PropTypes.string,
    placeholder: _react.PropTypes.string,
    onSubmit: _react.PropTypes.func,
    onChange: _react.PropTypes.func,
    onFocus: _react.PropTypes.func,
    onBlur: _react.PropTypes.func,
    onCancel: _react.PropTypes.func,
    onClear: _react.PropTypes.func,
    showCancelButton: _react.PropTypes.bool,
    cancelTxt: _react.PropTypes.string,
    disablSearch: _react.PropTypes.bool
};
SearchBar.defaultProps = {
    prefixCls: 'am-search',
    value: '',
    placeholder: '',
    onSubmit: noop,
    onChange: noop,
    onFocus: noop,
    onBlur: noop,
    onCancel: noop,
    onClear: noop,
    showCancelButton: false,
    cancelTxt: '取消',
    disablSearch: false
};
module.exports = exports['default'];