'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _variables = require('../../style/variables');

var _variables2 = _interopRequireDefault(_variables);

var _reactNative = require('react-native');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

exports["default"] = _reactNative.StyleSheet.create({
    tag: {
        borderRadius: _variables2["default"].radius_2,
        backgroundColor: 'transparent',
        flexDirection: 'row',
        overflow: 'hidden'
    },
    wrap: {
        overflow: 'hidden',
        borderRadius: _variables2["default"].radius_2,
        borderWidth: 1,
        borderStyle: 'solid'
    },
    normalWrap: {
        backgroundColor: _variables2["default"].neutral_1,
        borderColor: _variables2["default"].neutral_5
    },
    normalText: {
        color: _variables2["default"].neutral_10
    },
    activeWrap: {
        backgroundColor: _variables2["default"].neutral_1,
        borderColor: _variables2["default"].brand_6
    },
    activeText: {
        color: _variables2["default"].brand_6
    },
    readWrap: {
        backgroundColor: _variables2["default"].neutral_3,
        borderColor: _variables2["default"].neutral_3
    },
    readText: {
        color: _variables2["default"].neutral_10
    },
    disabledWrap: {
        backgroundColor: _variables2["default"].neutral_2,
        borderColor: _variables2["default"].neutral_5
    },
    disabledText: {
        color: _variables2["default"].neutral_6
    },
    largeWrap: {
        paddingVertical: _variables2["default"].grid,
        paddingHorizontal: 4 * _variables2["default"].grid
    },
    largeText: {
        fontSize: _variables2["default"].font_size_2,
        textAlign: 'center'
    },
    smallWrap: {
        paddingVertical: _variables2["default"].grid,
        paddingHorizontal: 2 * _variables2["default"].grid
    },
    smallText: {
        fontSize: _variables2["default"].font_size_1,
        textAlign: 'center'
    },
    closeWrap: {
        position: 'absolute',
        right: 0,
        top: -1.5 * _variables2["default"].grid,
        width: 2 * _variables2["default"].grid,
        height: 7 * _variables2["default"].grid,
        backgroundColor: _variables2["default"].brand_6,
        transform: [{
            rotate: '45deg'
        }],
        overflow: 'hidden'
    },
    closeDom: {
        backgroundColor: 'transparent',
        position: 'absolute',
        right: 0,
        bottom: 0,
        height: 4 * _variables2["default"].grid,
        width: 4 * _variables2["default"].grid
    },
    closeX: {
        transform: [{
            rotate: '-45deg'
        }],
        color: 'white',
        marginLeft: 0,
        marginTop: 1.8 * _variables2["default"].grid
    },
    fixAndroid: {
        position: 'absolute',
        right: 0,
        bottom: 0,
        width: 2.5 * _variables2["default"].grid,
        height: 2.5 * _variables2["default"].grid,
        borderBottomRightRadius: _variables2["default"].radius_2,
        borderTopLeftRadius: _variables2["default"].radius_2,
        backgroundColor: _variables2["default"].brand_6
    }
});
module.exports = exports['default'];