'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _variables = require('../../style/variables');

var _variables2 = _interopRequireDefault(_variables);

var _reactNative = require('react-native');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

exports["default"] = _reactNative.StyleSheet.create({
    container: {
        flexWrap: 'wrap',
        flexDirection: 'row'
    },
    size: {
        width: 19 * _variables2["default"].grid,
        height: 19 * _variables2["default"].grid
    },
    item: {
        marginRight: 2 * _variables2["default"].grid,
        marginBottom: 2 * _variables2["default"].grid,
        overflow: 'hidden'
    },
    image: {
        overflow: 'hidden',
        borderRadius: _variables2["default"].radius_1
    },
    closeWrap: {
        width: 4 * _variables2["default"].grid,
        height: 4 * _variables2["default"].grid,
        backgroundColor: _variables2["default"].neutral_7,
        borderRadius: 2 * _variables2["default"].grid,
        position: 'absolute',
        top: _variables2["default"].grid,
        right: _variables2["default"].grid,
        justifyContent: 'center',
        alignItems: 'center',
        overflow: 'hidden'
    },
    closeText: {
        color: _variables2["default"].neutral_1,
        backgroundColor: 'transparent',
        fontSize: 5 * _variables2["default"].grid,
        height: 5 * _variables2["default"].grid,
        marginTop: -2 * _variables2["default"].grid,
        fontWeight: '300'
    },
    plusWrap: {
        borderRadius: _variables2["default"].radius_1,
        borderWidth: 1,
        justifyContent: 'center',
        alignItems: 'center'
    },
    plusWrapNormal: {
        backgroundColor: _variables2["default"].neutral_1,
        borderColor: _variables2["default"].neutral_5
    },
    plusWrapHighlight: {
        backgroundColor: _variables2["default"].neutral_3,
        borderColor: _variables2["default"].neutral_6
    },
    plusText: {
        fontSize: 64,
        backgroundColor: 'transparent',
        fontWeight: '100'
    },
    plusNormal: {
        color: _variables2["default"].neutral_5
    },
    plusTextHilight: {
        color: _variables2["default"].neutral_6
    }
});
module.exports = exports['default'];